postal (0.76+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. Closes: #1007521

  [ Helmut Grohne ]
  * Let dh_auto_configure pass --host to ./configure. Closes: #928114

  [ Vagrant Cascadian ]
  * Pass the default CFLAGS to make. Closes: #1020759

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 14:43:03 +0000

postal (0.76+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999273)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 00:58:45 +0200

postal (0.76) unstable; urgency=medium

  * Added to Debian Salsa repository.
  * Updated control file to include homepage and git repository.
  * #define PATH_MAX if it's not already defined, for HURD.

 -- Russell Coker <russell@coker.com.au>  Wed, 27 Jan 2021 00:37:57 +1100

postal (0.75) unstable; urgency=medium

  * Fix some compiler warnings.
  * Stop autoconf controlling stripping. Closes: #437782

 -- Russell Coker <russell@coker.com.au>  Tue, 13 Dec 2016 23:00:46 +1100

postal (0.74) unstable; urgency=medium

  * Add -b option to bind to an address to bhm
  * Add changes from NMU and use Debhelper compat level 9.
  * Fix buffer underrun.  Closes: #784704
  * Made it build with GCC-6.  Closes: #811884

 -- Russell Coker <russell@coker.com.au>  Thu, 30 Jun 2016 18:07:19 +1000

postal (0.73+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not #include <gcrypt.h> when unnecessary.
  * Stop linking against libgcrypt.
  * Build against GnuTLS v3.
    Closes: #638654

 -- Andreas Metzler <ametzler@debian.org>  Mon, 18 Aug 2014 19:25:50 +0200

postal (0.73) unstable; urgency=low

  * Make postal correctly issue the quit command after delivery failure.
  * Fixed a bunch of valgrind errors.
  * Fixed a nasty bug with tab separated fields.

 -- Russell Coker <russell@coker.com.au>  Tue, 17 Jan 2012 07:48:14 +1100

postal (0.72) unstable; urgency=low

  * Make LMTP work.
  * Accept a tab as a field delimiter for the user-list file.

 -- Russell Coker <russell@coker.com.au>  Sat, 14 Jan 2012 19:27:21 +1100

postal (0.71) unstable; urgency=low

  * Made rabid get the password right when -u is used.  Thanks to Lars Nordin
    for the patch.
  * Made rabid correctly check for the '.' at the end of the results of the
    list command.
  * Made all the programs correctly handle a userlist that has empty lines.
  * Use the -lgcrypt option when using gcrypt.
  * Only call gcry_control() if GNUTLS_VERSION_NUMBER <= 0x020b00
  * Ignore blank lines in user list.
  * Add subject, date, and msgid to the md5sum in the client.
    Closes: #611907
  * Stop using gnutls_kx_set_priority()
    Closes: #624038
  * Added a patch from Michael Brown <michael@netdirect.ca> to make an RPM build
    on RHEL5 (and probably other RPM systems).
  * Added a patch from Brad Hards <bradh@frogmouth.net> to fix typos in the
    man page.
  * Rewrote a lot of the md5 checking code, now the md5 hash is stored in a
    header.  It should work now.

 -- Russell Coker <russell@coker.com.au>  Mon, 02 Jan 2012 17:08:50 +1100

postal (0.70) unstable; urgency=low

  * Made it build correctly when no SSL support is configured.  Also tidy
    up the documentation.

 -- Russell Coker <russell@coker.com.au>  Mon, 26 May 2008 19:33:48 +1000

postal (0.69) unstable; urgency=low

  * Really fix the GCC 4.3 issues.  The main change was to remove the
    OS/2 and Win32 support (which probably didn't work anyway).  The previous
    version actually fixed GCC 4.2 issues.  I don't plan to fix the
    ext/hash_map issue yet, it doesn't stop anything from working and I'm
    afraid of breaking things for the majority of systems which use older
    headers.  Thanks to Bradley Smith and Chris Lamb for sending a patch.
    Closes: #474831
    Thanks to Martin Michlmayr for sending a patch.
    Closes: #417480

 -- Russell Coker <russell@coker.com.au>  Sat, 19 Apr 2008 08:07:00 +1000

postal (0.68) unstable; urgency=low

  * Added $(DESTDIR) support to the Makefile and -lrt for nanosleep() on
    OpenSolaris (the OpenSolaris code is not tested).
  * Fixed a minor compilation bug when not using GNUTLS.
    Thanks Frank Fegert <frank.fegert@web.de>.
  * Made it not use C++ warning flags on C compilation.
  * Updated it to the latest Debian standards for Lenny and compile with
    GCC 4.3. Closes: #474831

 -- Russell Coker <russell@coker.com.au>  Wed,  9 Apr 2008 11:16:00 +1000

postal (0.67-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3. Thanks to MArtin Michlmayr. Closes: #417480

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 16 Mar 2008 23:48:44 +0000

postal (0.67) unstable; urgency=low

  * Changed license to GPLv3.

 -- Russell Coker <russell@coker.com.au>  Mon,  2 Jul 2007 20:12:00 +1000

postal (0.66) unstable; urgency=low

  * Added MessageId to Postal.
  * Added "make dep".
  * Made GNUTLS work in bhm.

 -- Russell Coker <russell@coker.com.au>  Fri,  2 Mar 2007 18:44:00 +1100

postal (0.65) unstable; urgency=low

  * Added new program bhm to listen on port 25 and send mail to /dev/null.
    This allows testing mail relay systems.
  * Fixed a minor bug in reporting when compiled without SSL.
  * Made postal write the date header in correct RFC2822 format.
  * Removed the name-expansion feature, it confused many people and is not
    needed now that desktop machines typically have 1G of RAM.
    Now postal and rabid can have the same user-list file.
  * Moved postal-list into the bin directory.
  * Changed the thread stack size to 32K (used to be the default of 10M) to
    save virtual memory size (not that this makes much difference to
    anything other than the maximum number of threads on i386).
  * Added a minimum message size option to Postal.
  * Added a Postal option to specify a list of sender addresses separately to
    the list of recipient addresses.
  * Removed some unnecessary error messages.
  * Handle EINTR to allow ^Z and "bg" from the command line.  I probably
    don't handle all cases, but now that I agree that failure to handle ^Z is
    an error I expect bug reports.
  * Made the test programs display output on the minute, previously they
    displayed once per minute (EG 11:10:35) while now it will be 11:10:00.
    This also means that the first minute reported will have something less
    than 60 seconds of data - this does not matter as a mail server takes
    longer than that to get up to speed.
  * Added support for GNUTLS and made the Debian package build with it.
    Note that BHM doesn't yet work correctly with TLS.
  * Made the programs exit cleanly.

 -- Russell Coker <russell@coker.com.au>  Thu, 18 Jan 2007 08:14:00 +1100

postal (0.62.1) unstable; urgency=low

  * NMU
  * Build-Depend: libssl-dev, not libssl096-dev.  Closes: #176956

 -- LaMont Jones <lamont@debian.org>  Sun, 25 May 2003 21:33:07 -0600

postal (0.62) unstable; urgency=high

  * Added an INSTALL document.

  * Made it compile with GCC 3.2.

 -- Russell Coker <russell@coker.com.au>  Tue, 14 Jan 2003 13:28:00 +0100

postal (0.61-1) unstable; urgency=high

  * Changed the section to main.

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Jun 2002 23:17:00 +0200

postal (0.61) unstable; urgency=high

  * Fixed the makefile to not use "-d" or "-p" options to $(INSTALL).

  * Changed connect() functions to Connect() because of some problems with
    Solaris.

  * Removed the optind=0 which caused problems on BSD.

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Jun 2002 21:16:00 +0200

postal (0.60) unstable; urgency=high

  * Added #include <stdlib.h> to mutex.cpp to make exit() be resolved correctly.

  * Fixed the delete percentage code for rabid.  The option "-d100:0" will mean
    that no messages get deleted.

  * Added a new version of the thread code from Bonnie++, fixes a few bugs.

  * Made the configure.in more like that from Bonnie++.

  * Added new debugging code to log to disk all network IO.

  * Made IMAP default to port 143, not that it matters much as IMAP is still
    broken.

  * Tidied up some of the error handling code.

  * Changed the threading code to monitor when threads exit so solve some
    exit time crashes.

  * Changed the header files to work with GCC 3.0.
    Closes: #99859, #104965

 -- Russell Coker <russell@coker.com.au>  Sun, 9 Sep 2001 00:41:20 +0200

postal (0.59) unstable; urgency=high

  * Closes: #86932
    Fixed the Build-Depends.

  * Added stdlib.h to mutex.cpp to make it compile on all systems.

  * Added rule "install-bin" to the makefile to install binaries without
    man pages, "make install" will install everything.

  * Removed the code to disable compiling with user-name conversion.  It should
    compile on all systems now!

 -- Russell Coker <russell@coker.com.au>  Mon, 6 Mar 2001 20:59:39 +0100

postal (0.58) unstable; urgency=high

  * Closes:#79647
    Now removes the md5.o file on "make clean" regardless if it'll be generated
    by a compile.

  * Puts the version in Autoconf.

  * Now with new thread class with Win32 and OS/2 portability.

  * Added RPM .spec file.

  * Closes:#63973
    Was closed before but BTS didn't recognise it.

  * Closes:#71184
    Was closed before but BTS didn't recognise it.

  * Closes:#71913
    Was closed before but BTS didn't recognise it.

 -- Russell Coker <russell@coker.com.au>  Mon, 19 Feb 2001 23:47:23 +0100

postal (0.57) unstable; urgency=high

  * Added extra compiler checks and fixed many trivial bugs.

  * Fixed some *BSD portability problems, should work on *BSD now.

 -- Russell Coker <russell@coker.com.au>  Thu, 7 Dec 2000 06:58:38 +0100

postal (0.56) unstable; urgency=high

  * Fixed a bug in client.cpp that stopped compiling without SSL.

  * Closes:#71913
    Added build-depends on libssl095a-dev.

  * Changed the autoconf support for checking for C++ slightly.  It should
    now work better for some strange setups and work the same for everyone
    else (I hope).

  * Added --disable-stripping option for ./configure if you don't want binaries
    stripped.

  * Added --disable-ssl option for ./configure if you don't want to compile
    with SSL.

  * Added Solaris package manager support.

 -- Russell Coker <russell@coker.com.au>  Sun, 8 Oct 2000 14:21:54 +0100

postal (0.55) unstable; urgency=low

  * Closes:#71184
    Now in "non-US" instead of "non-us".

  * Stopped rabid breaking on POP servers that support "CAPA" and added check
    for STLS in CAPA output.

  * Added better autoconf support for Solaris, now checks for link flags and
    uses int for the size of sockaddr_in instead of socklen_t on Linux or
    size_t (which the stupid Solaris documentation recommends).

  * Made rabid support not downloading all messages and not deleting all
    messages it downloads.

  * Added the following option to ./configure:
    --with-extra-libs=DIR   adds non standard library paths

  * Added Build-Depends (NOT FINISHED).

  * Fixed a warning about an unused variable for Mutex class on non-Linux.

 -- Russell Coker <russell@coker.com.au>  Sat, 9 Sep 2000 10:00:52 +0100

postal (0.54) unstable; urgency=low

  * Fixed the locking so that Rabid won't access the same account from two
    threads at the same time.  This fixes a variety of error conditions that
    a POP server can return.  Also the old buggy code may have caused Postal
    to crash in some situations.

  * Renamed class Fork to Thread.

  * Added extra gcc warning options and fixed some suspect code.

  * Added ./configure option --disable-conversion, it removes the user-name
    expansion facility and allows compilation on Slackware and BSD machines
    with broken regex headers.

 -- Russell Coker <russell@coker.com.au>  Tue, 1 Aug 2000 10:46:00 +0100

postal (0.53) unstable; urgency=low

  * Removed all utsname() code, so the hostname/domainname kernel values are
    not used any more at all!  Now do gethostbyaddr() to get the name of the
    local end of the connection for EHLO.  Closes: #63973

 -- Russell Coker <russell@coker.com.au>  Sun, 23 Jul 2000 17:42:48 +0100

postal (0.52) unstable; urgency=low

  * Changed section to non-us/utils.

  * Added autoconf support for easier portability.  Should be almost portable
    to Solaris now.  ;)

 -- Russell Coker <russell@coker.com.au>  Sun, 23 Apr 2000 22:14:48 +0100

postal (0.51) unstable; urgency=low

  * Added support for compiling without SSL.

  * Some hacky support for porting to Solaris.

 -- Russell Coker <russell@coker.com.au>  Thu, 20 Apr 2000 17:28:41 +0100

postal (0.50) unstable; urgency=low

  * Added SSL support.

 -- Russell Coker <russell@coker.com.au>  Thu, 09 Mar 2000 18:35:59 +0100

postal (0.45) unstable; urgency=low

  * Use the OpenSSL code for MD5.
  * Use more warnings in GCC and change the code not to trigger them.
  * Pthreads code now can track return values (not using them yet though).
  * Create threads detached.
  * Made some error messages clearer.
  * Added check for blank at end of POP message.
  * Don't crash for really high rate limits.

 -- Russell Coker <russell@coker.com.au>  Thu, 09 Mar 2000 18:35:59 +0100

postal (0.40) unstable; urgency=low

  * Changed from fork() to pthreads.  This will allow easier portability with
    OS/2 and NT and also should make it a bit faster.
  * Added support for just connecting and quiting without doing anything,
    good for testing a LocalDirector.
  * Added flag for broken Netscape mail server.

 -- Russell Coker <russell@coker.com.au>  Fri, 25 Feb 2000 11:41:05 +0100

postal (0.30) unstable; urgency=low

  * Now use getopt() for options processing.  All command-line parameters are
    now changed.
  * Changed man pages to section 8 and moved binaries to /usr/sbin, this is
    a sys-admin type program.
  * Added support for specifying which local IP address to use.  Also added
    support for specifying multiple servers (for round-robin without DNS
    configured).

 -- Russell Coker <russell@coker.com.au>  Sun, 20 Feb 2000 00:19:03 +0100

postal (0.25) unstable; urgency=low

  * Cleaned up some of the error message code.
  * Fixed a race condition and a buffer overrun in the locking code which
    prevents multiple processes from accessing the same account.  I'm
    surprised that the previous version appeared to work properly.
  * Added rate limiting code to Postal (msgs per minute) and Rabid (connections
    per minute).
  * Added support for DNS lookups on every connection (for round-robin DNS).

 -- Russell Coker <russell@coker.com.au>  Sun, 13 Feb 2000 20:10:37 +0100

postal (0.20) unstable; urgency=low

  * Postal now supports sending multiple messages per connection.
  * Postal now sends "EHLO" and supports multi-line responses.
  * For Postal you now specify the maximum message size not the average.
  * Hostname format now supports a preceeding '+' to specify round-robin
    DNS (IE a DNS lookup before every connection).
  * Hostname format now can be a name or IP address inside square brackets
    followed by a port number (for non-default port).
  * DNS lookup code is now in tcp.{c,h} as it should be.
  * Rabid now sends "\r\n" at the end of each line (used to send "\n").

 -- Russell Coker <russell@coker.com.au>  Thu, 10 Feb 2000 21:22:38 +0100

postal (0.15) unstable; urgency=low

  * Fixed the headers bug.
  * Debugged Rabid, it seems to work perfectly now. ;)
  * Postal now adds an md5 checksum to all messages it sends.
  * Rabid now checks the md5 checksum's on messages it receives that have an
    X-Postal header field.  It displays an error message on a mis-match.

 -- Russell Coker <russell@coker.com.au>  Mon, 7 Feb 2000 16:55:00 +0100

postal (0.10) unstable; urgency=low

  * Made the stats report more accurately and faster.
  * Added "Rabid" the POP benchmark (still needs some debugging).
  * Made the code more object oriented and portable.
  * Added the postal-list program to list all the possible ways of expanding
    names.

 -- Russell Coker <russell@coker.com.au>  Fri, 4 Feb 2000 22:02:38 +0100

postal (0.06) unstable; urgency=low

  * Made it use much less CPU time.

 -- Russell Coker <russell@coker.com.au>  Sat, 22 Jan 2000 17:06:51 +0100

postal (0.05) unstable; urgency=low

  * Fixed some minor bugs and added some portability code.

 -- Russell Coker <russell@coker.com.au>  Thu, 12 Jan 2000 21:52:50 +1100

postal (0.01) unstable; urgency=low

  * Initial Release.
  * Sponsored by Brian May <bam@snoopy.apana.org.au>

 -- Russell Coker <russell@coker.com.au>  Thu, 30 Dec 1999 01:22:45 +0100

Local variables:
mode: debian-changelog
End:
